server/apps/tour/urls.py
from django.urls import path
from django.views.decorators.cache import cache_page

from .views import HomePageView, TourView, ProjectsFormView

urlpatterns = [
    path('', cache_page(60 * 15)(HomePageView.as_view()), name='home'),
    path('form/', cache_page(60 * 15)(ProjectsFormView.as_view()), name='form'),
    path('tour/<str:lang>/', cache_page(60 * 15)(TourView.as_view()), name='tour'),
]

server/config/urls.py
from django.contrib import admin
from django.conf import settings
from django.urls import include, path
from django.conf.urls.static import static


urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('apps.tour.urls')),
]


if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

    import debug_toolbar

    urlpatterns += [
          path('__debug__/', include(debug_toolbar.urls)),
    ]

server/apps/tour/forms.py
from django import forms
from django.core.mail import send_mail


class ProjectsForm(forms.Form):
    PROJECTS_CHOICES = (
        ('rusal', 'РУСАЛ'),
        ('invest', 'Инвестиционные проекты'),
        ('arctic', 'Арктика')
    )

    email = forms.EmailField(
        label='Ваш Email',
        max_length=100,
        widget=forms.EmailInput(attrs={'class': 'input is-success'})
    )
    projects = forms.MultipleChoiceField(
        label='Выберете проекты',
        widget=forms.CheckboxSelectMultiple(attrs={'class': 'is-success checkbox'}),
        choices=PROJECTS_CHOICES,
    )

    def send_email(self):
        email = self.cleaned_data['email']
        projects = self.cleaned_data['projects']
        choices_map = dict(self.PROJECTS_CHOICES)
        send_mail(
            'Тема письма',
            'Отправлены проекты ' + ', '.join(choices_map[project] for project in projects),
            'rimas.amga@gmail.com',
            [email],
            fail_silently=False,
        )

server/apps/tour/views/home.py
from django.urls import reverse
from django.views.generic import TemplateView, FormView
from ..forms import ProjectsForm


class HomePageView(TemplateView):
    template_name = 'tour/index.html'


class ProjectsFormView(FormView):
    template_name = 'tour/form.html'
    form_class = ProjectsForm
    success_url = '/'

    def form_valid(self, form):
        # This method is called when valid form data has been POSTed.
        # It should return an HttpResponse.
        form.send_email()
        return super().form_valid(form)

server/apps/tour/views/tour.py
from django.views import View
from django.template.response import TemplateResponse

from ..constants import Languages


class TourView(View):
    TEMPLATES_MAP = {
        Languages.RUSSIAN: {
            'template': 'tour/tour.html',
            'context': {
                'node': '{node1}',
            },
        },
        Languages.ENGLISH: {
            'template': 'tour/tour.html',
            'context': {
                'node': '{node3}',
            },
        },
    }

    def get(self, request, lang=None):
        return TemplateResponse(request, **self.TEMPLATES_MAP.get(lang, Languages.RUSSIAN))

server/templates/tour/base.html
<!DOCTYPE html>
{% load static %}
{% load cache %}

{% cache 500 sidebar %}
    <html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>360 тур</title>
        <meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0" />
        <meta name="apple-mobile-web-app-capable" content="yes" />
        <meta name="apple-mobile-web-app-status-bar-style" content="black" />
        <meta name="mobile-web-app-capable" content="yes" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@0.9.1/css/bulma.min.css">
        <link rel="stylesheet" href="{% static 'css/main.css' %}">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    {% endcache %}
{% block head %}
{% endblock %}

</head>
<body>
{% block body %}
{% endblock %}
<script src="{% static 'js/main.js' %}"></script>
</body>
</html>

server/templates/tour/form.html
{% extends 'tour/base.html' %}
{% load static %}

{% block body %}
<form method="post" class="for">{% csrf_token %}
    {{ form.as_p }}
    <input type="submit" value="Отправить проекты" class="button is-success">
</form>
</form>
{% endblock %}

server/templates/tour/index.html
{% extends 'tour/base.html' %}
{% load static %}
{% load cache %}
{% cache 500 sidebar %}
{% block body %}
    <nav class="panel is-max-widescreen">
        <div class="panel-heading main-header">
            <div class="level">
                <figure class="media-left ml-1 level-left">
                    <p class="image site-logo">
                        <img class=""
                             src="https://ensib.ru/wp-content/themes/sydney/images/logo_ru.png">
                    </p>
                </figure>
                <div class="level-right">
                    <div class="has-text-centered">
                        <a id="ru-button" href="#" class="button is-white is-outlined ">
                            <span>RU</span>
                        </a>
                        <a id="en-button" href="#" class="button is-white is-outlined">
                            <span>EN</span>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </nav>

    <div class="container is-max-widescreen">
        <section id="main" class="section">
            <h1 lang="ru" class="mt-2 has-text-centered title">VR тур по проектам Енисейской
                сибири</h1>
            <h3 lang="ru" class="subtitle">
                Равным образом новая модель организационной деятельности требуют от нас анализа
                направлений прогрессивного развития. С другой стороны начало повседневной работы по
                формированию позиции позволяет выполнять важные задания по разработке модели
                развития.
                Идейные соображения высшего порядка, а также новая модель организационной
                деятельности
                способствует подготовки и реализации соответствующий условий активизации.
            </h3>
            <h1 lang="es" class="mt-2  has-text-centered title">VR tour of the projects of the
                Yenisei Siberia</h1>
            <h3 lang="es" class="subtitle">
                Likewise, the new organizational model requires us to analyze
                directions of progressive development. On the other hand, the beginning of the daily
                work on
                the formation of a position allows you to perform important tasks for the
                development of a development model.
                Ideological considerations of a higher order, as well as a new model of
                organizational activity
                contributes to the preparation and implementation of the appropriate activation
                conditions.
            </h3>
        </section>
        <section id="links" class="section">
            <div class="columns is-justify-content-space-around">
                <div class="column card is-one-third">
                    <h1 lang="ru" class="title has-text-centered">Выставочный стенд енисейской
                        сибири</h1>
                    <h1 lang="es" class="title has-text-centered">Exhibition stand of yenisei
                        siberia</h1>
                    <footer class="card-footer">
                        <a lang="ru" href="{% url 'tour' 'ru' %}"
                           class="card-footer-item">Просмотр</a>
                        <a lang="es" href="{% url 'tour' 'en' %}" class="card-footer-item">View</a>
                    </footer>

                </div>
                <div class="column card is-one-third">
                    <h1 lang="ru" class="title has-text-centered">Партнеры</h1>
                    <h1 lang="es" class="title has-text-centered">Partners</h1>
                    <footer class="card-footer">
                        <a lang="ru" href="{% url 'tour' 'ru' %}"
                           class="card-footer-item">Просмотр</a>
                        <a lang="es" href="{% url 'tour' 'en' %}" class="card-footer-item">View</a>
                    </footer>
                </div>
            </div>
        </section>
        <section id="send_projects" class="section is-justify-content-center">
            <button id="open-modal" class="button is-success is-outlined is-large modal-button"
                    data-target="modal-send" aria-haspopup="true">Отправить проекты на почту
            </button>
            <div class="modal" id="modal-send">
                <div class="modal-background"></div>
                <div class="modal-content box">
                    <form action="{% url 'form' %}" method="post" class="form">
                        {% csrf_token %}
                        <p>
                            <label for="id_email" class="label">Ваш Email:</label>
                            <input type="email" name="email"
                                   class="input is-success"
                                   maxlength="100" required
                                   id="id_email">
                        </p>
                        <p><label class="label">Выберете проекты:</label>
                        <ul id="id_projects" class="is-success checkbox">
                            <li><label for="id_projects_0">
                                <input type="checkbox" name="projects"
                                       value="rusal"
                                       class="is-success checkbox"
                                       id="id_projects_0">
                                РУСАЛ
                            </label>

                            </li>
                            <li><label for="id_projects_1">
                                <input type="checkbox" name="projects"
                                       value="invest"
                                       class="is-success checkbox"
                                       id="id_projects_1">
                                Инвестиционные проекты
                            </label>

                            </li>
                            <li><label for="id_projects_2"><input type="checkbox" name="projects"
                                                                  value="arctic"
                                                                  class="is-success checkbox"
                                                                  id="id_projects_2">
                                Арктика</label>

                            </li>
                        </ul>
                        </p>
                        <input type="submit" value="Отправить проекты" class="button is-success">
                    </form>
                    </form>    </p>
                </div>
                <button class="modal-close is-large" aria-label="close"></button>
            </div>
        </section>


    </div>
{% endblock %}

{% endcache %}

server/templates/tour/tour.html
{% extends 'tour/base.html' %}
{% load static %}

    {% block head %}
        		<style type="text/css" title="Default">
			/* fullscreen */
			html {
				height:100%;
			}
			body {
				height:100%;
				margin: 0px;
				overflow:hidden; /* disable scrollbars */
				-webkit-tap-highlight-color: rgba(0, 0, 0, 0); /* remove highlight on tab for iOS/Android */
			}
			/* fix for scroll bars on webkit & >=Mac OS X Lion */
			::-webkit-scrollbar {
				background-color: rgba(0,0,0,0.5);
				width: 0.75em;
			}
			::-webkit-scrollbar-thumb {
    			background-color:  rgba(255,255,255,0.5);
			}
		</style>
    {% endblock %}

{% block body %}
<!-- - - - - - - 8<- - - - - - cut here - - - - - 8<- - - - - - - -->
		<script type="text/javascript" src="{% static 'pano2vr_player.js' %}">
		</script>
		<script type="text/javascript" src="{% static 'skin.js' %}">
		</script>
		<script src="{% static 'webxr/three.min.js' %}"></script>
		<script src="{% static 'webxr/webxr-polyfill.min.js' %}"></script>
		<div id="container" style="width:100%;height:100%;overflow:hidden;">
		<br>Loading...<br><br>
		</div>
		<script type="text/javascript">

			// create the panorama player with the container
			pano=new pano2vrPlayer("container");
			// add the skin object
			skin=new pano2vrSkin(pano);
			// load the configuration
            pano.readConfigUrl("{% static 'pano.xml' %}")
			// window.addEventListener("load", function() {
			// 	pano.readConfigUrlAsync("{% static 'pano.xml' %}");
			// });
            pano.openNext("{{ node }}", "")
		</script>
		<noscript>
			<p><b>Please enable Javascript!</b></p>
		</noscript>
<!-- - - - - - - 8<- - - - - - cut here - - - - - 8<- - - - - - - -->
		<!-- Hack needed to hide the url bar on iOS 9, iPhone 5s -->
		<div style="width:1px;height:1px;"></div>
 {% endblock %}